Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.utils
Class PropertyParser

    java.lang.Object
      |
      +--com.macromedia.generator.utils.PropertyParser

public class PropertyParser
extends java.lang.Object

Field Summary
`(package private) Context` | `_fld0144`
`(package private) java.util.Properties` | `_fld0145`
`(package private) FlashEnvironment` | `_fld0160`
`(package private) boolean` | `_fld028A`
`(package private) java.lang.String` | `_fld028B`
`(package private) boolean` | `_fld028C`

Constructor Summary
`PropertyParser(java.lang.String s, FlashEnvironment flashenvironment, Context context, java.util.Properties properties)`

Method Summary
`FlashEnvironment` | `GetEnvironment()`
`float` | `GetFloatParam(java.lang.String s, float f)`
`int` | `GetIntParam(java.lang.String s, int i)`
`java.lang.String` | `GetResourceString(java.lang.String s)`
`java.lang.String` | `GetStringParam(java.lang.String s)`
`java.lang.String` | `GetStringParam(java.lang.String s, java.lang.String s1)`
`boolean` | `HasParam(java.lang.String s)`
`void` | `LogError(java.lang.String s, java.lang.String s1)`
`boolean` | `ParamEquals(java.lang.String s, int i)`
`boolean` | `ParamEquals(java.lang.String s, java.lang.String s1)`
`void` | `SetErrorLog(boolean flag)`
`boolean` | `Suceeded()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _fld028A

    boolean _fld028A

### _fld0145

    java.util.Properties _fld0145

### _fld0160

    FlashEnvironment _fld0160

### _fld0144

    Context _fld0144

### _fld028B

    java.lang.String _fld028B

### _fld028C

    boolean _fld028C

Constructor Detail

### PropertyParser

    public PropertyParser(java.lang.String s,
                          FlashEnvironment flashenvironment,
                          Context context,
                          java.util.Properties properties)

Method Detail

### GetEnvironment

    public FlashEnvironment GetEnvironment()

### GetFloatParam

    public float GetFloatParam(java.lang.String s,
                               float f)

### GetIntParam

    public int GetIntParam(java.lang.String s,
                           int i)

### GetResourceString

    public java.lang.String GetResourceString(java.lang.String s)

### GetStringParam

    public java.lang.String GetStringParam(java.lang.String s)

### GetStringParam

    public java.lang.String GetStringParam(java.lang.String s,
                                           java.lang.String s1)

### HasParam

    public boolean HasParam(java.lang.String s)

### LogError

    public void LogError(java.lang.String s,
                         java.lang.String s1)

### ParamEquals

    public boolean ParamEquals(java.lang.String s,
                               int i)

### ParamEquals

    public boolean ParamEquals(java.lang.String s,
                               java.lang.String s1)

### SetErrorLog

    public void SetErrorLog(boolean flag)

### Suceeded

    public boolean Suceeded()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD